package com.yiboshi.science.service;
import com.yiboshi.science.base.BaseService;
import com.yiboshi.science.entity.ComYear;
import com.yiboshi.science.param.dto.ComYearDTO;
import com.yiboshi.science.param.query.ComYearQueryVO;

/**
 * 年度设置表 Service
 * 
 * @author lkl
 * @version 2021-08-26
 */
public interface ComYearService extends BaseService<ComYearQueryVO, ComYearDTO, ComYear> {
    /** 获取中期考核申报年度
     *
     * @return
     */
    Integer getCheckYear();

    /** 获取任务书申报年度
     *
     * @return
     */
    Integer getTestYear();

    /** 获取申报年度
     *
     * @return
     */
    Integer getReportYear();

    /** 根据单位树获取申报时间
     *
     * @param treeCode
     * @param reportYear
     * @param yearType
     * @return
     */
    ComYearDTO getYearByTreeCode(String treeCode,int reportYear,int yearType);

    /** 获取申报时间
     *
     * @param type
     * @return
     */
    ComYearDTO getYearInfo(int type);

    /** 获取中期考核年度
     *
     * @return
     */
    String getCheckYear(int year);

    /** 添加/更新年度设置
     *
     * @param vo
     * @return
     */
    void addOrUpdateYearInfo(ComYear vo);
}